condition_variable.hpp File Reference

Pmem-resident condition variable. More...

`#include <chrono>`
`#include <condition_variable>`
`#include "libpmemobj++/detail/conversions.hpp"`
`#include "libpmemobj++/mutex.hpp"`
`#include "libpmemobj/thread.h"`
Include dependency graph for condition_variable.hpp:

Go to the source code of this file.

## Classes

class | pmem::obj::condition_variable
| Persistent memory resident condition variable. More...

## Detailed Description

Pmem-resident condition variable.